<?
/*
    Site Index Top & Left of Page - GuppY PHP Script - version 4.5.4
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alves,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.0 (30 December 2002)  : initial release
      v1.6 (23 January 2003)   : added PopupWindow() javascript function
                                 added transition effect option between pages
                                   (for IE browser only, no effect on the other browsers)
      v1.7 (28 January 2003)   : added Recommend to a Friend box
      v1.8 (05 February 2003)  : added category for forum
                                 added charset management
      v1.9 (11 February 2003)  : updated version showing as HTML comment with $mpversion (was previously hard coded!)
                                 added banners management and freebox
                                 added icons theme management (case when no icons should be displayed)
      v2.0 (27 February 2003)  : added Meta Tags by Nicolas Alves & Laurent Duveau
                                 no logo option added
                                 added advanced photo service
                                 added slogan display
                                 added WriteMailTo() javascript function - encryption of e-mail @ (SPAM protection)
                                 upgraded the Icon themes management (thanks Alex)
      v2.1 (10 March 2003)     : added addslashes() to var in Javascript functions (to avoid errors)
                                 color management for the side scroll bar (by Nicolas Alves)
                                 counter theme management (by Nicolas Alves)
      v2.2 (22 April 2003)     : new side boxes management (by Nicolas Alves)
                                 slightly modified the PopupWindow() Javascript function (resizable parameter) for use with the new editor assistant, cleanup in the images organization
      v2.3 (27 July 2003)      : minor font and text formating changes in search, quotations, general pages (thanks Isabelle)
                                 replaced mtitre class by titre class in htable1(), so mtitre class no more useful
                                 added forms style management (by Nicolas Alves)
                                 added user prefs management by cookie
                                 upgraded WriteMailTo() function for better SPAM protection (thanks Michel)
      v2.4 (24 September 2003) : added "Page loading" popup
                                 changed mailto box to default pages' bgcolor
                                 added character set management in e-mail popup
                                 added alternative label for site's logo image (name of the site)
                                 added Hide Admin Button (by Nicolas Alves)
                                 slightly modified the PopupWindow() Javascript function (scrollbars parameter) for use with the new mini message functionality
                                 removed style sheet CSS from inc/hpage.inc and put it in a new inc/style.inc file
      v2.4p1 (26 Sept. 2003)   : some users could not post messages in the guestbook or forum, it is fixed now
      v2.4p2 (28 Sept. 2003)   : fixed bug where buttons bar would not appear correctly (centered instead of left aligned) if Stats button not displayed (Thanks Raiponce)
      v2.4p3 (29 Sept. 2003)   : upgraded the ob_gzhandler functionality (compression of pages), now is done only if relevant (do not trust PHP and browsers anymore)
      v3.0 (25 February 2004)  : added skin management (by Nicolas Alves)
                                 added possibility to put all boxes on the right side
                                 added option for compression of pages
                                 updated sideboxes display because of new plugins manager
                                 added Plugins management
                                 added Title meta tag (thanks Tanet and Realia)
      v4.0 (06 December2004)   : added specific page title (by Jean-Mi)
                                 added log_stats (by Jean-Mi)
                                 added hidepage width for compatibility (by Icare)
                                 optimization table use (by Icare)
                                 added the nav menu navigation style and its optional rollover effect (by Isa)
                                 added alt tags to img and removed border tag for non-linked img (by Isa)
                                 removed the transparent pixel (skins have to use the htable and htable1 classes to set up the space between boxes (by Isa)
                                 optimization of the code : used the CSS class "menu" to set up the menu bar appearence (by Isa)
                                 some changes in order the code is more standards compliant (by Isa)
                                 changes in the writemail function so that it is standard compliant (thanks Djchouix)
                                 removed two javascripts in the head (they were between the head and the body (by Isa)
                                 added auto-select of css file: external style.css, usual inc/style.inc or skin/style.inc (by Icare)
                                 added auto-close on blur in WriteMailTo (by Icare)
                                 updated metatag Robots (by Jean-Mi)
      v4.5 (30 march 2005)     : exported javascripts in hpage.js (by JeanMi)
	                             updated optionnal header box facility (by Icare)

  Modifi par HPSAM pour le Plork TOTAL BAN
	under CeCILL v2 Free Software Agreement
	Copyright (C) 2006-2007 by  HPSAM
	Web site = http://www.hpsam.info
*/

if (stristr($_SERVER["SCRIPT_NAME"], "hpage.inc")) {
  header("location:../index.php");
  die();
}

$obgo = false;
if (($site[26] == "on") && (substr(phpversion(),0,1) >= 4)) {
  if (!strstr($endurl, "admin/") && !strstr($endurl, "postguest.php")) {
    if (extension_loaded(zlib)>0) {
      if (strstr($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) {
        $obgo = true;
        ob_start("ob_gzhandler");
      }
    }
  }
}
$toppage = $site[0];
if (($page[22]) && (!empty($topmess)))
  $toppage .= " - ".strip_tags($topmess);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<?

	///////////////////////////////////////////////////////////////////////////////////
	//                                                                               //
	//                GuppY is protected by the CeCILL FREE LICENSE.                 //
	//  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
	//                                                                               //
	///////////////////////////////////////////////////////////////////////////////////

?>

  <!--[  GuppY v<?php echo $mpversion; ?> CeCILL Copyright (C) 2002-2005 by Laurent Duveau - http://www.freeguppy.org/  ]-->

<head>
<title><?php echo $toppage; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset; ?>">
<meta name="Description" lang="<?php echo $site[15]; ?>" content="<?php echo $site[1]; ?>">
<meta name="Keywords" lang="<?php echo $site[15]; ?>" content="<?php echo $site[2]; ?>">
<meta name="Identifier-url" content="<?php echo $site[16]; ?>">
<?
if (!ereg("admin/|postguest|newsrss|error", $endurl)) {
  ?>
  <meta name="Robots" content="<?php echo $site[7]; ?>">
  <meta name="Revisit-After" content="<?php echo $site[8]; ?>">
  <?
} 
else {
  ?>
  <meta name="Robots" content="NONE">
<?
}
?>
<meta name="Author" content="<?php echo $site[9]; ?>">
<meta name="Owner" content="<?php echo $site[10]; ?>">
<meta name="Reply-To" content="<?php echo $site[11]; ?>">
<meta name="Rating" content="<?php echo $site[12]; ?>">
<meta name="Distribution" content="<?php echo $site[13]; ?>">
<meta name="Copyright" content="<?php echo $site[14]; ?>">
<meta name="Language" content="<?php echo $site[15]; ?>">
<meta name="Title" content="<?php echo $site[6]; ?>">
<meta name="Generator" content="GuppY">
<?
if ($page[7] == "on") {
  ?>
  <meta http-equiv="Page-Enter" content="blendTrans(Duration=1.0)">
  <?
}
?>

<link rel="shortcut icon" href="<?php echo $site[3]; ?>guppy.ico">
<?
if ($serviz[16] == "on") {
  echo '<link rel="alternate" type="application/rss+xml" title="'.$site[0].'" hreflang="'.$lang[0].'" href="'.$site[3].'data/news'.$lang[0].'.xml'.'">';
  if (!empty($lang[1])) {
    echo '<link rel="alternate" type="application/rss+xml" title="'.$site[0].'" hreflang="'.$lang[1].'" href="'.$site[3].'data/news'.$lang[1].'.xml'.'">';
  }
}
if (file_exists($meskin."style.css")) {
  echo "<link type=\"text/css\" rel=\"stylesheet\" href=\"".$meskin."style.css\">";
}
else {
  echo "<style type=\"text/css\">";
  if (file_exists($meskin."style.inc")) {
    include($meskin."style.inc");
  }
  else {
    include(CHEMIN."inc/style.inc");
  }
  echo "</style>";
}
 
include(CHEMIN."inc/log_stats.inc");
if ($lng == $lang[0]) {
  $defil = $site[17];
}
else {
  $defil = $site[18];
}
if ($page[20] != "") {
  echo "<script language=\"javascript\" type=\"text/javascript\" src=\"".CHEMIN."inc/rollover.js\"></script>";
}
?>
<script language="javascript" type="text/javascript">
var texte='      <?php echo addslashes($defil); ?>      ';
var charset = <?php echo '"'.$charset.'"'; ?>;
var site0 = <?php echo '"'.$site[0].'"'; ?>;
var site3 = <?php echo '"'.$site[3].'"'; ?>;
var web91 = <?php echo '"'.$web91.'"'; ?>;
</script>
<script language="javascript" type="text/javascript" src="<?php echo CHEMIN; ?>inc/hpage.js"></script>
<?

$loader = "";
$unloader = "";
if (!empty($defil)) {
  $loader .= "msgdefil();";
  $unloader .= "clearTimeout(vitessedefil);";
}
if (!empty($page[13])) {
  $loader .= "hideLoadingPage();";
}
echo $headinc; // to insert something
?>
</head>
<body<?php if (!empty($loader)) { echo " onload=\"".$loader."\""; } if (!empty($unloader)) { echo " onunload=\"".$unloader."\""; } ?>>
<a name="top"></a>
<?
if ($serviz[44] == "on") {
  echo '
<div style="padding:10px; color:red; background-color:yellow; border:3px solid red; text-align:center; font-weight:bold; font-size:larger;">
ATTENTION : site en travaux - site in work</div>';
}
if (!empty($page[13])) {
   echo "<div id='hidepage' style='position: absolute; left: 20%; top: 28px; width: 240px; padding: 5px; border: 1px solid; background-color: #EEEEFF'>";
   ?>
   <p align="center"><?php echo $web174; ?><br /><br />
   <img src="<?php echo CHEMIN; ?>inc/img/progbar/<?php echo $page[13]; ?>" border="0" alt=" ">
   </p>
   <?
   echo "</div>";
}
echo $imgtabup;
if ($tabup == "on") {htable2("98%");} else {echo $tabup;}         // Top of header box
if ($menu_icon != "") { $sav_icon = $page[9]; $page[9] = "";} // No icons for menu only
if ($skn_logo != "") {$logo = $skn_logo;}                     // skin logo
elseif ($page[4] != "") {$logo = CHEMIN."img/".$page[4];}     // config logo
else {$logo = "";}                                            // no logo
if ($serviz[19] == "on") {
  include(CHEMIN."inc/boxban.inc");
}
if ($serviz[0] == "on") {
  include(CHEMIN."inc/boxcita.inc");
}
if ($tabcita == "on") btable2(); else echo $tabcita;         // Bottom of header box
$tmpstyle = ""; 

// dbut HPSAM Total BAN
include_once (CHEMIN."plugins/total_ban/function.inc");
if ($tb_cfg[3] == "on"){
  echo "<div style=\"width:100%;text-align:center;\">";
  if (strpos($endurl, "/admin/") === false) {
    include_once (CHEMIN."plugins/total_ban/affban.inc");
    AffBan ("sl");
  }
  else {echo $ban_adm17;}
  echo "</div>";
}
// fin HPSAM Total BAN
?>

<table class="headmenu" cellspacing="0" cellpadding="0" align="center" style="background-image: url(<?php echo $meskin; ?><?php echo $bg_menu; ?>);">
<tr>
<?
if ($serviz[19] != "on") {
  if ($logo != "") {
    ?>
    <td nowrap style="margin: 4px;"><a href="<?php echo $site[3]."index.php?lng=".$lng; ?>"><img src="<?php echo $logo; ?>" border="0" alt="<?php echo $site[0]; ?>"></a></td>
    <td nowrap style="margin: 4px;">&nbsp;</td>
    <?
  }
}
if ($lng == $lang[0]) {
  $i = 0;
  $j = 0;
}
else {
  $i = 10;
  $j = 1;
}
if ($lang[1] != "") {
  include(CHEMIN."inc/boxlang.inc");
}
?>
<td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>index.php?lng=<?php echo $lng; ?>">
<?
if ($page[9] != "") {
  ?>
  <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/home.gif" alt="<?php echo $nom[$i+0]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
  <?
}
echo $nom[$i+0];
?>
</a></td>
<?
if ($serviz[8] == "on") {
  ?>
  <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>news.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/news.gif" alt="<?php echo $nom[$i+7]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $nom[$i+7];
  ?>
  </a></td>
  <?
}
if ($serviz[9] == "on") {
  if ($serviz[21] == "on") {
    $fotoname = "photorama";
  }
  else {
    $fotoname = "photos";
  }
  ?>
  <td class="menu"><a class="menu" href="<?php echo CHEMIN.$fotoname; ?>.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/photo.gif" alt="<?php echo $nom[$i+2]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $nom[$i+2];
  ?>
  </a></td>
  <?
}
if ($serviz[10] == "on") {
  ?>
  <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>download.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/download.gif" alt="<?php echo $nom[$i+1]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $nom[$i+1];
  ?>
  </a></td>
  <?
}
if ($serviz[11] == "on") {
  ?>
  <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>links.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/links.gif" alt="<?php echo $nom[$i+3]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $nom[$i+3];
  ?>
  </a></td>
  <?
}
if ($serviz[14] == "on") {
  ?>
  <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>faq.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/faq.gif" alt="<?php echo $nom[$j+24]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $nom[$j+24];
  ?>
  </a></td>
  <?
}
if ($serviz[12] == "on") {
  ?>
  <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>guestbk.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/guestbook.gif" alt="<?php echo $nom[$i+9]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $nom[$i+9];
  ?>
  </a></td>
  <?
}
if ($serviz[13] == "on") {
  if ($serviz[18] == "on") {
    ?>
    <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>fortopic.php?lng=<?php echo $lng; ?>">
    <?
    if ($page[9] != "") {
      ?>
      <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/forum.gif" alt="<?php echo $nom[$j+22]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
      <?
    }
    echo $nom[$j+22];
    ?>
    </a></td>
    <?
  }
  else {
    ?>
    <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>forum.php?lng=<?php echo $lng; ?>">
    <?
    if ($page[9] != "") {
      ?>
      <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/forum.gif" alt="<?php echo $nom[$j+22]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
      <?
    }
    echo $nom[$j+22];
    ?>
    </a></td>
    <?
  }
}
if ($serviz[15] == "on") {
  ?>
  <td class="menu"><a class="menu" href="<?php echo CHEMIN; ?>stats.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/stats.gif" alt="<?php echo $nom[$j+26]; ?>" width="32" height="32" border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $nom[$j+26];
  ?>
  </a></td>
  <?
}
include(CHEMIN."inc/hplugins.inc");
?>
<td class="menu" width="100%">&nbsp;</td>
<?
if ($serviz[45]=="") {
  ?>
  <td class="menu" style="padding-right: 8px;"><a class="menu" href="<?php echo CHEMIN; ?>admin/admin.php?lng=<?php echo $lng; ?>">
  <?
  if ($page[9] != "") {
    ?>
    <img src="<?php echo CHEMIN; ?>inc/img/icons/<?php echo $page[9]; ?>/admin.gif" alt="<?php echo $web144; ?>" width="32" height="32"border="0" <?php if ($page[20] != "") { echo "class=\"imgover\""; } ?>><br />
    <?
  }
  echo $web144;
  ?>
  </a></td>
  <?
}
?>
</tr>
</table>
<?
// dbut HPSAM Total BAN
if ($tb_cfg[4] == "on"){
  echo "<div style=\"width:100%;text-align:center;\">";
  if (strpos($endurl, "/admin/") === false) {
    include_once (CHEMIN."plugins/total_ban/affban.inc");
    AffBan ("sm");
  }
  else {echo $ban_adm17;}
  echo "</div>";
}
// fin HPSAM Total BAN
if ($tabmenu == "on") btable2(); else echo $tabmenu; // Optionnal bottom of header box
if ($menu_icon != "") {$page[9] = $sav_icon;} // restaure icons for center box
?>
<table cellspacing="7" cellpadding="0" width="100%" border="0">
<tr><td valign="top">
<?
$onemenu = 0;
if ($userprefs[3] != "R" && !empty($posbox[9])) {
  include(CHEMIN.$posbox[9].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[0])) {
  include(CHEMIN.$posbox[0].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[10])) {
  include(CHEMIN.$posbox[10].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[1])) {
  include(CHEMIN.$posbox[1].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[11])) {
  include(CHEMIN.$posbox[11].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[2])) {
  include(CHEMIN.$posbox[2].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[12])) {
  include(CHEMIN.$posbox[12].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[3])) {
  include(CHEMIN.$posbox[3].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[13])) {
  include(CHEMIN.$posbox[13].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[4])) {
  include(CHEMIN.$posbox[4].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[14])) {
  include(CHEMIN.$posbox[14].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[5])) {
  include(CHEMIN.$posbox[5].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[15])) {
  include(CHEMIN.$posbox[15].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[6])) {
  include(CHEMIN.$posbox[6].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[16])) {
  include(CHEMIN.$posbox[16].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[7])) {
  include(CHEMIN.$posbox[7].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] != "R" && !empty($posbox[17])) {
  include(CHEMIN.$posbox[17].INCEXT);
  $onemenu = 1;
}
if ($userprefs[3] == "L" && !empty($posbox[8])) {
  include(CHEMIN.$posbox[8].INCEXT);
  $onemenu = 1;
}
?>
</td><td width="100%" valign="top">
